| Home | Libraries | People | FAQ | More

## Function template ireplace_last

boost::algorithm::ireplace_last — Replace last algorithm ( case insensitive ).

## Synopsis

    template<typename SequenceT, typename Range1T, typename Range2T>
      void ireplace_last(SequenceT & Input, const Range1T & Search,
                         const Range2T & Format,
                         const std::locale & Loc = std::locale());

## Description

Replace the last match of the search string in the input with the format string.The input sequence is modified in-place. Searching is case insensitive.

Parameters: |
`Format` | A substitute string
`Input` | An input string
`Loc` | A locale used for case insensitive comparison
`Search` | A substring to be searched for
Returns: | A reference to the modified input